mod_security + phpMyAdmin

Muutama päivä sitten minulla oli kauhea ongelma ModSecurity asennettu ja phpMyAdmin. Yleensä, ongelma, yleensä ongelma on juurtunut siitä, että, suojausmoduulin pitää requestable phpMyadmin kuten sql-injektio hyökkäys. Ratkaisu on jälleen triviaali vain tiedostot phpmyadmin-off macaneta säännöt. Säännöt ne on allekirjoittanut vuonna modsecurity.d/modsecurity_localrules.conf kansioon apache-palvelin. Se on se ja itse sääntöjen.

<LocationMatch “/phpMyAdmin/tbl_change.php”>
SecRuleEngine Pois
</LocationMatch>

<LocationMatch “/phpMyAdmin/SQL.php”>
SecRuleEngine Pois
</LocationMatch>

<LocationMatch “/phpMyAdmin/managecontent.php”>
SecRuleEngine Pois
</LocationMatch>

<LocationMatch “/phpMyAdmin/Import.php”>
SecRuleEngine Pois
</LocationMatch>

<LocationMatch “/phpMyAdmin/tbl_select.php”>
SecRuleEngine Pois
</LocationMatch>

<LocationMatch “/phpMyAdmin/tbl_replace.php”>
SecRuleEngine Pois
</LocationMatch>

Jätä vastaus

Sähköpostiosoitteesi ei julkaista. Pakolliset kentät on merkitty *

Anti SPAM *